window.Vue = require('vue');
require('./bootstrap');

import router from './router'

import App from './App'
import DefaultLayout from './layouts/DefaultLayout.vue';
import PageLayout from './layouts/PageLayout.vue';

Vue.component('default-layout', DefaultLayout);
Vue.component('userpages-layout', PageLayout);

const app = new Vue({
    el: '#app',
  	router,
  	template: '<App/>',
  	components: { App }
});